import * as appService from '../services/picturePage'

export default {
  namespace: 'picturePage',
  state: {
    btnEntities: []
  },
  effects: {
    *getPicturePageConfigInfo ({ payload }, { call }) {
      return yield call(appService.getPicturePageConfigInfo, payload)
    },
    *getgetChartDataData ({ payload, url }, { call }) {
      return yield call(appService.getPictureData, { payload, url })
    }
  },
  reducers: {
    save (state, action) {
      return { ...state, ...action.payload }
    }
  }
}